//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("Viewer.res");
USEFORM("..\..\Units\Viewer\Unit3.cpp", Form3);
USEFORM("..\..\Units\Viewer\fLayers.cpp", fmLayers);
USEFORM("..\..\Units\Viewer\fPaths.cpp", fmPaths);
USEFORM("..\..\Units\Viewer\fSHX.cpp", fmSHX);
USEFORM("..\..\Units\Viewer\Unit1.cpp", Form1);
USEFORM("..\..\Units\Viewer\Unit2.cpp", frmShowPoint);
USEOBJ("..\Lib\DXFImage.obj");
USEOBJ("..\Lib\sgConsts.obj");
USEOBJ("..\Lib\sgOrbit3D.obj");
USEOBJ("..\Lib\sgTools.obj");
USEOBJ("..\Lib\sgExport.obj");
USEOBJ("..\Lib\sgDrawingNavigator.obj");
USEOBJ("..\Lib\DXFExport.obj");
USEOBJ("..\Lib\CADtoDXF.obj");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
  try
  {
     Application->Initialize();
     Application->CreateForm(__classid(TForm1), &Form1);
     Application->Run();
  }
  catch (Exception &exception)
  {
     Application->ShowException(&exception);
  }
  return 0;
}
//---------------------------------------------------------------------------
